com.h3c.util.persistence.cassandra.entitymgr.column

## Interface ColumnVisitor<K extends Serializable & Comparable<K>>

- Type Parameters:
    `K` - type of the column key or name
  All Known Implementing Classes:
    ColumnVisitorAdapter

      public interface ColumnVisitor<K extends Serializable & Comparable<K>>

  Column visitor.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visit(BooleanColumn<K> booleanColumn)`
    `void` | `visit(ByteArrayColumn<K> column)` Visits a column.
    `void` | `visit(ByteColumn<K> column)` Visits a column.
    `void` | `visit(CustomColumn<K,?> customColumn)` Visits a column.
    `void` | `visit(DateColumn<K> column)` Visits a column.
    `void` | `visit(DoubleColumn<K> column)` Visits a column.
    `void` | `visit(EnumColumn<K,? extends Enum<?>> column)` Visits a column.
    `void` | `visit(FloatColumn<K> column)` Visits a column.
    `void` | `visit(IntegerColumn<K> column)` Visits a column.
    `void` | `visit(LongColumn<K> column)` Visits a column.
    `void` | `visit(StringColumn<K> column)` Visits a column.
    `void` | `visit(ValuelessColumn<K> valuelessColumn)`

- - ### Method Detail

    - #### visit

          void visit(ByteColumn<K> column)

      Visits a column.
      Parameters:
        `column` - column to visit

    - #### visit

          void visit(ByteArrayColumn<K> column)

      Visits a column.
      Parameters:
        `column` - column to visit

    - #### visit

          void visit(DateColumn<K> column)

      Visits a column.
      Parameters:
        `column` - column to visit

    - #### visit

          void visit(DoubleColumn<K> column)

      Visits a column.
      Parameters:
        `column` - column to visit

    - #### visit

          void visit(FloatColumn<K> column)

      Visits a column.
      Parameters:
        `column` - column to visit

    - #### visit

          void visit(IntegerColumn<K> column)

      Visits a column.
      Parameters:
        `column` - column to visit

    - #### visit

          void visit(LongColumn<K> column)

      Visits a column.
      Parameters:
        `column` - column to visit

    - #### visit

          void visit(StringColumn<K> column)

      Visits a column.
      Parameters:
        `column` - column to visit

    - #### visit

          void visit(EnumColumn<K,? extends Enum<?>> column)

      Visits a column.
      Parameters:
        `column` - column to visit

    - #### visit

          void visit(CustomColumn<K,?> customColumn)

      Visits a column.
      Parameters:
        `customColumn` - column to visit

    - #### visit

          void visit(BooleanColumn<K> booleanColumn)

    - #### visit

          void visit(ValuelessColumn<K> valuelessColumn)

Copyright © 2014. All Rights Reserved.